=== debian/changelog ===
hugs98 (98.200109-5) unstable; urgency=low

  * Remove Pre-Depends on autoconf. (Closes: #112189)
  * Patch thanks to Andre Dahlqvist.

 -- William Lee Irwin III <wli@holomorphy.com>  Tue, 23 Oct 2001 18:11:08 +0200

hugs98 (98.200109-4.1) unstable; urgency=low

  * NMU
  * Add build-depends: autoconf.  Closes: #111773

 -- LaMont Jones <lamont@debian.org>  Sat, 13 Oct 2001 06:47:47 -0600

hugs98 (98.200109-4) unstable; urgency=low

  * HUGSDIR fix attempt

 -- William Lee Irwin III <wli@holomorphy.com>  Mon, 10 Sep 2001 15:30:17 -0700

hugs98 (98.200109-3) unstable; urgency=low

  * Closes: #11343 (tries writing to /usr/local)
  * Closes: #11373 (missing build-depends on autoconf)
  * nuked the ungzipped manpages

 -- William Lee Irwin III <wli@holomorphy.com>  Sun,  9 Sep 2001 15:34:36 -0700

hugs98 (98.200109-2) unstable; urgency=low

  * Fixed rules file so the thing actually builds after make clean
  * Closes: #111265 (tries to install into the root fs during build)
  * Fixed lintian warnings regarding .comment and .note sections

 -- William Lee Irwin III <wli@holomorphy.com>  Wed,  5 Sep 2001 01:48:38 -0700

hugs98 (98.200109-1) unstable; urgency=low

  * Updated to Feb2001 version.
  * Closes: #110703 (New upstream release)

 -- William Lee Irwin III <wli@holomorphy.com>  Tue,  4 Sep 2001 01:31:05 -0700

hugs98 (98.200002-3) unstable; urgency=low

  * Fixed changelog so the bug would close.
  * Closes: #43666 (runhugs has no manpage)
  * Closes: #68186 (ITA hugs by Antti-Juhani Kaijanaho)
 -- William Lee Irwin III <wli@holomorphy.com>  Sat, 13 Jan 2001 13:54:11 -0800

hugs98 (98.200002-2) unstable; urgency=low

  * Added manpage for runhugs. Closes #43666.
  * Fixed some compilation errors with the new glibc.
  * New maintainer.

 -- William Lee Irwin III <wli@holomorphy.com>  Wed, 10 Jan 2001 18:40:59 -0800

hugs98 (98.200002-1) unstable; urgency=low

  * New upstream release.
  * Use libreadline4 and libncurses5.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  9 Apr 2000 15:02:31 +0300

hugs98 (98.199911-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version 3.1.1
      + debian/control: Add a Build-Depends line.
      + debian/rules: Remove the build-depends check.
      + debian/check-sourcedeps: Removed.
  * debian/control [Description]: Edited slightly.
  * debian/copyright: Updated source download information.
  * src/Makefile.in: make veryclean not remove configure

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 17 Nov 1999 22:34:47 +0200

hugs98 (98.199909.0.19991020-1) unstable; urgency=low

  * New upstream minor bugfix release.  Upstream changed the tarball without
    changing  the version.  Just great.  
  * debian/rules: No need to make src/unix/configure executable anymore.
  * debian/control: Standards-Version 3.0.1, required changes already made
    earlier.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 20 Oct 1999 15:15:36 +0300

hugs98 (98.199909-2) unstable; urgency=low

  * debian/rules: Make src/unix/configure executable before calling it.
    Closes: #47523.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 16 Oct 1999 12:40:32 +0300

hugs98 (98.199909-1) unstable; urgency=low

  * New upstream release (Hugs 98 / September 1999).
      + Fixes a segfault reported by Havoc Pennington.  Closes: #45546.
      + New license (BSD-like without advertising clause).
  * debian/rules (debian/build.stamp): Build with GNU readline support,
    since the new license allows this.  Closes: #46155.
  * debian/README.Debian: Remove the note about no readline support,
    instead just state that we have it.
  * debian/copyright: Update the copyright license information.
  * debian/check-sourcedeps: New file.
  * debian/rules: Check build-time dependencies (libreadlineg2-dev).
  * src/hugs.c: To comply with Debian policy, check VISUAL in addition
    to EDITOR.
  * debian/rules: Move docs to /usr/share/doc.
  * debian/{prerm,postinst}: Implement the /usr/doc transition.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 14 Oct 1999 17:55:53 +0300

hugs98 (98.199905-4) unstable; urgency=low (medium for >= 98.199905-2)

  * debian/postinst: /usr/local subdirs should be group "staff".
  * debian/postinst: Don't create the /usr/local dirs if upgrading
    from >> 98.199905-3.
  * debian/prerm: Don't remove the /usr/local dirs on upgrade
  * debian/rules: Link from undocumented to runhugs.1.gz, not runhugs.1

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 29 Aug 1999 13:50:18 +0300

hugs98 (98.199905-3) unstable; urgency=low

  * debian/rules: WRT bug#43666, install an undocumented(7) symlink
    for runhugs(1).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 28 Aug 1999 23:57:19 +0300

hugs98 (98.199905-2) unstable; urgency=low

  * src/unix/acconfig.h: Define DEBIAN.
  * Ran src/unix/mkconfig so that the earlier EDITOR change
    can take effect.
  * debian/rules: Updated to match my latest preferences
       + factorize the install command into a variable
       + don't use install_zipped
       + use stamp files
       + use target-specific vars and lazy vars to create the
         directory name variables
       + don't test for rootness
       + separate clean target into clean-{build,binary}
       + remove the package root dir at the start of the binary targets
  * debian/rules: Install GreenCard.h into /usr/include/hugs
  * debian/README.Debian: Document the location of GreenCard.h.
  * debian/README.Debian: Added an extension module policy.
  * src/unix/configure: Add a new search path which conforms with the extension
    module policy, conditional to building on a Debian system.
  * Ran src/unix/mkconfig.
  * debian/postinst: Added commands to install /usr/local dirs as required.
  * debian/prerm: Removed the alternatives code as useless.
  * debian/preinst: Guarded the alternative removing code so that upgrading from
    98.199905-1 or later does not cause alternatives being removed.

