=== debian/control ===
Source: hugs98
Section: interpreters
Priority: optional
Maintainer: William Lee Irwin III <wli@debian.org>
Standards-Version: 3.1.1
Build-Depends: libncurses5-dev, libreadline4-dev (>= 4.1), autoconf

Package: hugs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: hugs98
Provides: hugs98
Replaces: hugs98
Suggests: haskell-mode, haskell-doc, hugs-doc
Section: interpreters
Priority: optional
Description: A Haskell 98 interpreter
 Hugs is an interpreter for the non-strict, purely functional programming
 language Haskell.  This version of Hugs, Hugs 98, supports nearly all of
 the new Haskell 98 specification.
 .
 Documentation is available in the hugs-doc package.  The Haskell language
 is described by documents in the haskell-doc package.
